> ## Documentation Index
> Fetch the complete documentation index at: https://docs.carviz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Dealerships



## OpenAPI

````yaml get /public/dealerships/
openapi: 3.1.0
info:
  title: Carviz API
  version: 1.0.0
servers:
  - url: https://api.carviz.com/prod
security: []
paths:
  /public/dealerships/:
    get:
      tags:
        - public
      summary: List Dealerships
      operationId: list_dealerships_public_dealerships__get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
        - name: created_at__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Gte
        - name: created_at__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Lte
        - name: updated_at__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Updated At  Gte
        - name: updated_at__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Updated At  Lte
        - name: organization_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Organization Id
        - name: entity_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Entity Id
        - name: name__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Name  Ilike
        - name: brand
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Brand
        - name: city
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: City
        - name: profile_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Profile Id
        - name: order_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Order By
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_DealershipsRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Page_DealershipsRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/DealershipsRead'
          type: array
          title: Items
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Limit
        offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Offset
        total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total
      type: object
      required:
        - items
      title: Page[DealershipsRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DealershipsRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        organization_id:
          type: string
          format: uuid
          title: Organization Id
        entity_id:
          type: string
          format: uuid
          title: Entity Id
        address:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Address
        logo:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo
        illustration_img:
          anyOf:
            - type: string
            - type: 'null'
          title: Illustration Img
        more_info:
          anyOf:
            - type: string
            - type: 'null'
          title: More Info
        position:
          anyOf:
            - type: integer
            - type: 'null'
          title: Position
        siret:
          anyOf:
            - type: string
            - type: 'null'
          title: Siret
        headquarter:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Headquarter
        brands:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Brands
        user_count:
          type: integer
          title: User Count
          default: 0
      type: object
      required:
        - id
        - name
        - created_at
        - updated_at
        - organization_id
        - entity_id
      title: DealershipsRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````